man(1)

NAME
ADRSolver - solves Advection-diffusion-reaction problems

SYNOPSIS
ADRSolver [ option(s) ] [ [ session.xml ] ... ]

DESCRIPTION
ADRSolver solves Advection-diffusion-reaction type partial differential equations using the spectral/hp element method. It is built on the Nektar++ high-order spectral/hp element framework. The ADRSolver can solve a range of steady and unsteady scalar problems:

—   Projection

—   Laplace equation

—   Poisson equation

—   Helmholtz equation

—   Steady Advection-Diffusion equation (2D only)

—   Steady Diffusion-Reaction equation (2D only)

—   Steady Advection-Diffusion-Reaction equation (2D only)

—   Unsteady Advection equation

—   Unsteady Diffusion equation

—   Unsteady Reaction-Diffusion equation (Continuous Galerkin only)

—   Unsteady Advection-Diffusion equation

—   Unsteady Inviscid Burgers equation

  Further information
For further details and specific configuration options, please consult the Nektar++ user guide available from the website ⟨ www.nektar.info ⟩.

OPTIONS

  General Options

-h [ --help ]

-I [ --solverinfo ] arg
    Overrides a SOLVERINFO property in the XML input files.

-P [ --parameter ] arg
    Overrides a PARAMETER in the XML input files.

-v [ --verbose ]
    Displays additional diagnostic information during the solver execution.

-V [ --version ]
    Prints the version of the Nektar++.

  Parallelisation Options

--npx arg
    Specifies the number of processes in the x-direction.

--npy arg
    Specifies the number of processes in the y-direction.

--npz arg
    Specifies the number of processes in the z-direction.

--part-info
    Output partition information.

--part-only N
    Partitions the input mesh into N partitions and exits.

--part-only-overlapping N
    Partitions mesh into N overlapping partitions and exits.

--use-ptscotch
    Use PT-Scotch for parallel mesh partitioning.

--use-scotch
    Use Scotch for mesh partitioning.

EXAMPLE
To run the solver on a single input file which contains both the geometry and the solver parameter specifications
    ADRSolver session.xml
It is often helpful to separate the geometry specification from the remaining solver parameters. In this case multiple .xml files may be provided
    ADRSolver session.xml conditions.xml

BUGS
No known bugs.

AUTHOR
Chris Cantwell (c.cantwell@imperial.ac.uk)